6.0.0-git
2021-01-18

[#8057] New access keys code
Summary New access keys code
Queue Horde Base
Queue Version Git master
Type Bug
State Resolved
Priority 3. High
Owners jan (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2009-03-07 (4335 days ago)
Due
Updated 2011-03-28 (3584 days ago)
Assigned
Resolved 2011-03-28 (3584 days ago)
Milestone 4
Patch No

History
2011-03-28 10:02:43 Jan Schneider Comment #7
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
But since this only effect default actions in IE (i.e. not event 
handlers), and it's easy to figure those out and call them though JS 
manually, this is a viable workaround.
All known access key methods we currently use seem to work 
consistently across all browsers now, yay!
2011-03-28 09:49:47 Jan Schneider Comment #6
Taken from Horde DevelopersHorde Developers
State ⇒ Not A Bug
Reply to this comment
Yes, the default behavior in IE is to only focus the element with the 
access key, and this is only possible with visible elements of course.
Furthermore browsers must not allow to trigger default actions of 
elements through manually created events for security reasons (click 
jacking etc.). Chrome still allows that though, so we had to catch that.
2011-03-18 17:54:17 Michael Slusarz Comment #5
Taken from Michael Slusarz
Reply to this comment
This is a limitation of several browsers (e.g. IE) and, AFAICT from my 
research, can not be worked around.

FWIW, these accesskeys can't be accessed via non-javascript either.   
So this has nothing to do with our javascript code.
2010-09-24 22:18:43 Jan Schneider Version ⇒ Git master
 
2009-09-16 12:41:53 Jan Schneider Version ⇒ HEAD
Milestone ⇒ 4
 
2009-05-01 12:47:23 Jan Schneider Milestone ⇒ 3.3.5
 
2009-03-12 20:47:35 Michael Slusarz Comment #3
Assigned to Horde DevelopersHorde Developers
Reply to this comment
Initially playing around with this, I can't figure out a way to make 
this work (since the accesskeys are hidden via CSS, not javascript).   
Since I don't use accesskeys personally, this is not at the top of my 
list.
2009-03-07 10:42:27 Jan Schneider Comment #2 Reply to this comment
This is a showstopper for releasing further Horde 3.3.x versions.
2009-03-07 10:40:58 Jan Schneider Comment #1
Type ⇒ Bug
Priority ⇒ 3. High
Summary ⇒ New access keys code
Queue ⇒ Horde Base
Assigned to Michael Slusarz
Milestone ⇒ 3.3.4
Patch ⇒ No
State ⇒ Assigned
Reply to this comment
Follow-up from ticket #7866.



Access keys on hidden elements like IMP sub menus don't work with the 
new JS code.

Saved Queries